ecom_index:
    path: /
    controller: App\Application\WebshopBundle\Controller\AppController::index

ecom_category:
    path: /kategori-{categorySlug}
    controller: App\Application\WebshopBundle\Controller\AppController::category

ecom_wiki_page:
    path: /sida-{slug}
    controller: App\Application\WebshopBundle\Controller\AppController::wikiPage

ecom_product_list:
    path: /produkter
    controller: App\Application\WebshopBundle\Controller\AppController::productList

ecom_cart:
    path: /vagn
    controller: App\Application\WebshopBundle\Controller\AppController::cart

ecom_cart_remove_item:
    path: /vagn/ta-bort/{key}
    controller: App\Application\WebshopBundle\Controller\AppController::cartRemoveItem

ecom_checkout:
    path: /kassa
    controller: App\Application\WebshopBundle\Controller\AppController::checkout

ecom_checkout_check_coupon:
    path: /kassa/check-coupon
    controller: App\Application\WebshopBundle\Controller\AppController::checkCoupon
    methods: ['POST']

ecom_checkout_created:
    path: /kassa/{orderNr}/skapas
    controller: App\Application\WebshopBundle\Controller\AppController::swishCreated

ecom_checkout_swish_paid:
    path: /kassa/{orderNr}/framgang
    controller: App\Application\WebshopBundle\Controller\AppController::swishSuccess

ecom_checkout_swish_error:
    path: /kassa/{orderNr}/fel
    controller: App\Application\WebshopBundle\Controller\AppController::swishError

ecom_checkout_svea_confirm:
    path: /svea/confirm/{orderNr}
    controller: App\Application\WebshopBundle\Controller\AppController::sveaConfirm

ecom_checkout_svea_push:
    path: /svea/push/{orderNr}
    controller: App\Application\WebshopBundle\Controller\AppController::sveaPush
    methods: ['POST']

ecom_checkout_svea_create_order:
    path: /svea/generate-order
    controller: App\Application\WebshopBundle\Controller\AppController::sveaGenerateOrder
    methods: ['POST']

ecom_checkout_svea_webhook:
    path: /svea/webhook/{orderNr}
    controller: App\Application\WebshopBundle\Controller\AppController::sveaWebhook

ecom_swish_callback:
    path: /swish/ateruppringning/{orderNr}
    controller: App\Application\WebshopBundle\Controller\AppController::swishCallback

ecom_swish_get_payment_info:
    path: /swish/info/{orderNr}
    controller: App\Application\WebshopBundle\Controller\AppController::swishInfo

ecom_product:
    path: /{productSlug}
    controller: App\Application\WebshopBundle\Controller\AppController::product